# This file created by conda-build 24.5.1
# meta.yaml template originally from:
# /home/conda/recipe_root, last modified Sun Jun 30 13:05:57 2024
# ------------------------------------------------

package:
  name: r-class
  version: '7.3_22'
source:
  sha256: b6994164e93843fcc7e08dfdc8c8b4af6a5a10ef7153d2e72a6855342508d15c
  url:
    - https://cran.r-project.org/src/contrib/Archive/class/class_7.3-22.tar.gz
    - https://cran.r-project.org/src/contrib/class_7.3-22.tar.gz
build:
  number: '2'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r44hb1dbf0f_2
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - binutils_linux-64 2.40 hb3c18ed_9
    - gcc_impl_linux-64 12.3.0 h58ffeeb_13
    - gcc_linux-64 12.3.0 h9528a6a_9
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 hf3520f5_7
    - libgcc-devel_linux-64 12.3.0 h6b66f73_113
    - libgcc-ng 14.1.0 h77fa898_0
    - libgomp 14.1.0 h77fa898_0
    - libsanitizer 12.3.0 hb8811af_13
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - make 4.3 hd18ef5c_1
    - sysroot_linux-64 2.12 he073ed8_17
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - _r-mutex 1.0.1 anacondar_1
    - binutils_impl_linux-64 2.40 ha1999f0_7
    - bwidget 1.9.14 ha770c72_1
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.28.1 hd590300_0
    - ca-certificates 2024.6.2 hbcca054_0
    - cairo 1.18.0 hbb29018_2
    - curl 8.8.0 he654da7_1
    - expat 2.6.2 h59595ed_0
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 h77eed37_2
    - fontconfig 2.14.2 h14ed4e7_0
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.12.1 h267a509_2
    - fribidi 1.0.10 h36c2ea0_0
    - gcc_impl_linux-64 14.1.0 h3c94d91_0
    - gfortran_impl_linux-64 14.1.0 he4a1faa_0
    - graphite2 1.3.13 h59595ed_1003
    - gsl 2.7 he838d99_0
    - gxx_impl_linux-64 14.1.0 h2879b86_0
    - harfbuzz 8.5.0 hfac3d4d_0
    - icu 73.2 h59595ed_0
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.40 hf3520f5_7
    - lerc 4.0.0 h27087fc_0
    - libblas 3.9.0 22_linux64_openblas
    - libcblas 3.9.0 22_linux64_openblas
    - libcurl 8.8.0 hca28451_1
    - libdeflate 1.20 hd590300_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.6.2 h59595ed_0
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 14.1.0 h5d3d1c9_100
    - libgcc-ng 14.1.0 h77fa898_0
    - libgfortran-ng 14.1.0 h69a702a_0
    - libgfortran5 14.1.0 hc5f4f2c_0
    - libglib 2.80.2 h8a4344b_1
    - libgomp 14.1.0 h77fa898_0
    - libiconv 1.17 hd590300_2
    - libjpeg-turbo 3.0.0 hd590300_1
    - liblapack 3.9.0 22_linux64_openblas
    - libnghttp2 1.58.0 h47da74e_1
    - libopenblas 0.3.27 pthreads_h413a1c8_0
    - libpng 1.6.43 h2797004_0
    - libsanitizer 14.1.0 hcba0ae0_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 14.1.0 h5d3d1c9_100
    - libstdcxx-ng 14.1.0 hc0a3c3a_0
    - libtiff 4.6.0 h1dd3fc0_3
    - libuuid 2.38.1 h0b41bf4_0
    - libwebp-base 1.4.0 hd590300_0
    - libxcb 1.16 hd590300_0
    - libzlib 1.3.1 h4ab18f5_1
    - make 4.3 hd18ef5c_1
    - ncurses 6.5 h59595ed_0
    - openssl 3.3.1 h4ab18f5_1
    - pango 1.54.0 h84a9a3c_0
    - pcre2 10.44 h0f59acf_0
    - pixman 0.43.2 h59595ed_0
    - pthread-stubs 0.4 h36c2ea0_1001
    - r-base 4.4.1 h0be853a_7
    - r-mass 7.3_60.0.1 r44hb1dbf0f_1
    - readline 8.2 h8228510_1
    - sed 4.8 he412f7d_0
    - sysroot_linux-64 2.12 he073ed8_17
    - tk 8.6.13 noxft_h4845f30_101
    - tktable 2.10 h8bc8fbc_6
    - tzdata 2024a h0c530f3_0
    - xorg-kbproto 1.0.7 h7f98852_1002
    - xorg-libice 1.1.1 hd590300_0
    - xorg-libsm 1.2.4 h7391055_0
    - xorg-libx11 1.8.9 hb711507_1
    - xorg-libxau 1.0.11 hd590300_0
    - xorg-libxdmcp 1.1.3 h7f98852_0
    - xorg-libxext 1.3.4 h0b41bf4_2
    - xorg-libxrender 0.9.11 hd590300_0
    - xorg-libxt 1.3.0 hd590300_1
    - xorg-renderproto 0.11.1 h7f98852_1002
    - xorg-xextproto 7.3.0 h0b41bf4_1003
    - xorg-xproto 7.0.31 h7f98852_1007
    - xz 5.2.6 h166bdaf_0
    - zlib 1.3.1 h4ab18f5_1
    - zstd 1.5.6 ha6fb4c9_0
  run:
    - libgcc-ng >=12
    - r-base >=4.4,<4.5.0a0
    - r-base >=4.4,<4.5.0a0
    - r-mass
test:
  commands:
    - $R -e "library('class')"
about:
  home: http://www.stats.ox.ac.uk/pub/MASS4/
  license: GPL-2.0-or-later
  license_family: GPL3
  license_file:
    - /home/conda/feedstock_root/build_artifacts/r-class_1719752824701/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_pla/lib/R/share/licenses/GPL-3
  summary: Various functions for classification, including k-nearest neighbour, Learning
    Vector Quantization and Self-Organizing Maps.
extra:
  copy_test_source_files: true
  final: true
  flow_run_id: azure_20240630.2.1
  recipe-maintainers:
    - conda-forge/r
  remote_url: https://github.com/conda-forge/r-class-feedstock
  sha: 36c0e920a17989db2aa4cb0f8d1e617530ef9a18
